Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 86220 - libstdc++-v3-3.3.4 fails on libiberty/physmem.c
Summary: libstdc++-v3-3.3.4 fails on libiberty/physmem.c
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Hardened (show other bugs)
Hardware: PPC64 Linux
: High blocker (vote)
Assignee: The Gentoo Linux Hardened Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-21 22:51 UTC by Daniel Ostrow (RETIRED)
Modified: 2008-01-13 14:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Ostrow (RETIRED) gentoo-dev 2005-03-21 22:51:45 UTC
I've been working with solar to get hardened working on ppc64. We have all the appropriate changes made to the gcc ebuild to support it gcc builds fine but libstdc++-v3 errors out with the following error:

if [ x"-fPIC" != x ]; then \
  gcc -c -DHAVE_CONFIG_H -O2 -pipe -I. -I/var/tmp/portage/libstdc++-v3-3.3.4/wor k/gcc-3.3.4/libiberty/../include  -W -Wall -Wtraditional -pedantic -fPIC /var/tm p/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c -o pic/physmem.o ; \
else true; fi
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c: In funct ion `physmem_total':
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c:96: error : storage size of 'pss' isn't known
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c:97: warni ng: implicit declaration of function `pstat_getstatic'
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c:96: warni ng: unused variable `pss'
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c: In funct ion `physmem_available':
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c:200: erro r: storage size of 'pss' isn't known
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c:201: erro r: storage size of 'psd' isn't known
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c:203: warn ing: implicit declaration of function `pstat_getdynamic'
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c:200: warn ing: unused variable `pss'
/var/tmp/portage/libstdc++-v3-3.3.4/work/gcc-3.3.4/libiberty/physmem.c:201: warn ing: unused variable `psd'
make[1]: *** [physmem.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/var/tmp/portage/libstdc++-v3-3.3.4/work/build/libib erty'
make: *** [all-libiberty] Error 2



Reproducible: Always
Steps to Reproduce:
1. Start from a 2005.0 Stage2 seed
2. Set hardened pic and pie USE flags
3. emerge -e system




Portage 2.0.51.19 (default-linux/ppc64/2005.0, gcc-3.4.3-20050110, 
glibc-2.3.4.20041102-r0, 2.6.11-hardened-r1 ppc64) 
================================================================= 
System uname: 2.6.11-hardened-r1 ppc64 PPC970, altivec supported 
Gentoo Base System version 1.4.16 
Python:              dev-lang/python-2.3.3-r2 [2.3.3 (#1, Mar 22 2005, 
05:29:50)] 
dev-lang/python:     2.3.3-r2 
sys-devel/autoconf:  [Not Present] 
sys-devel/automake:  [Not Present] 
sys-devel/binutils:  2.15.91.0.1-r1 
sys-devel/libtool:   [Not Present] 
virtual/os-headers:  2.6.8.1-r2 
ACCEPT_KEYWORDS="ppc64 ~ppc64" 
AUTOCLEAN="yes" 
CFLAGS="-O2 -mtune=970 -mcpu=970 -maltivec -mabi=altivec -fno-strict-aliasing 
-pipe" 
CHOST="powerpc64-unknown-linux-gnu" 
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control" 
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d" 
CXXFLAGS="-O2 -mtune=970 -mcpu=970 -maltivec -mabi=altivec 
-fno-strict-aliasing -pipe" 
DISTDIR="/usr/portage/distfiles" 
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms" 
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo 
http://mirror.datapipe.net/gentoo 
ftp://mirrors.sec.informatik.tu-darmstadt.de/gentoo/" 
MAKEOPTS="-j5" 
PKGDIR="/usr/portage/packages" 
PORTAGE_TMPDIR="/var/tmp" 
PORTDIR="/usr/portage" 
SYNC="rsync://rsync.gentoo.org/gentoo-portage" 
USE="altivec berkdb bitmap-fonts chroot crypt fortran gif hardened jpeg 
ncurses nls nptl nptlonly pam perl pic pie png ppc64 python readline spell ssl 
tcpd truetype truetype-fonts type1-fonts unicode zlib" 
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, PORTDIR_OVERLAY 
 
Note: Some of the info like glibc version come from the seed stage as the 
system never gets to it in the emerge -e system. Also I have verified that the 
problems occur on both ppc64 and ~ppc64 systems.
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-07-12 14:36:14 UTC
This bug is pretty pointless now; as said on Bug 97977 this won't compile at all w/ gcc-4.x on ppc64.